#    This file is part of MK.
#
#    MK is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    MK is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


import pickle

from mk import env

def store (file):
    pickle.dump (env.mkfiles, file)
    pickle.dump (env.targets, file)
    pickle.dump (env.all, file)
    pickle.dump (env.top_builddir, file)
    pickle.dump (env.top_srcdir, file)
    pickle.dump (env.output_subdir, file)

def load (file):
    env.mkfiles = pickle.load (file)
    env.targets = pickle.load (file)
    env.all = pickle.load (file)
    env.top_builddir = pickle.load (file)
    env.top_srcdir = pickle.load (file)
    env.output_subdir = pickle.load (file)

# Local variables:
# mode: python
# indent-tabs-mode: nil
# arch-tag: a4fc4302-4810-457c-82f8-5bfbfe9270ed
# End:
