#    This file is part of MK.
#
#    MK is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    MK is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


import os.path
import mk
import mk.meta

class ar (object):
    __metaclass__ = mk.meta.autoprop

    def __init__ (self):
        self.ar = 'ar'
        self.arflags = 'ruv'

    # Build a static library.
    def archive (self, target):
        cmd = [self.ar, self.arflags, mk.shortname (target.name)]
        for obj in target.objects:
            cmd.append (mk.shortname (obj.name))
        return cmd

def get_class ():
    return ar

# Local variables:
# mode: python
# indent-tabs-mode: nil
# arch-tag: 34496959-017d-441a-a784-7cf5c9427722
# End:
