#    This file is part of MK.
#
#    MK is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    MK is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


import imp
import sys
import mk
import mk.ex

def load_tool (name):
    fullname = 'mk.tools.' + name

    if not sys.modules.has_key (fullname):
        file = None
        try:
            file, path, desc = \
                  imp.find_module (name,
                                   sys.modules ['mk.tools'].__path__)
            try:
                mod = imp.load_module (fullname, file, path, desc)
                setattr (mk.tools, name, mod.get_class ())
            finally:
                if file:
                    file.close()
        except ImportError:
            raise mk.ex.missing_tool (name)

# Local variables:
# mode: python
# indent-tabs-mode: nil
# arch-tag: c4681cd4-7955-446b-8836-1b40f4e5998e
# End:
